package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Representa el manejo interno de este cliente WS que se le dara al llamado del WS a SAP para registrar Activo Fijo (Titulos).
 * considerando los posibles escenarios de exito y error.
 * Si el objeto TransactionFaultDTO tiene valores, entonces ocurrio alguna excepcion en el llamado.
 * Si la lista de RespSAPActivoFijoDTO tiene valores entonces la conexion al servicio se realizo satisfactoriamente.
 * En resumen, ambos objetos deben ser mutuamente excluyentes, indicando el exito o el error segun haya sucedido. 
 */
public class ResultadoCrearActivoFijoDTO implements Serializable 
{

	private static final long serialVersionUID = 1L;
	private List<RespSAPActivoFijoDTO> activosFijos = new ArrayList<RespSAPActivoFijoDTO>(); 
	private TransactionFaultDTO transFault = new TransactionFaultDTO();
	private boolean resultado;
	
	public List<RespSAPActivoFijoDTO> getActivosFijos() {
		return activosFijos;
	}
	public void setActivosFijos(List<RespSAPActivoFijoDTO> activosFijos) {
		this.activosFijos = activosFijos;
	}
	public TransactionFaultDTO getTransFault() {
		return this.transFault;
	}
	public void setTransFault(TransactionFaultDTO transFault) {
		this.transFault = transFault;
	}
	public boolean getResultado() {
		return this.resultado;
	}
	public void setResultado(boolean resultado) {
		this.resultado = resultado;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" activosFijos: _" + this.getActivosFijos().size() + "_" + NEW_LINE);
		result.append(" tFault: _" + this.getTransFault().toString() + "_" + NEW_LINE);
		result.append(" resultado: _" + this.getResultado() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
